Index: code/branches/cpp11_v2/src/modules/questsystem/GlobalQuest.h
===================================================================
--- code/branches/cpp11_v2/src/modules/questsystem/GlobalQuest.h	(revision 10765)
+++ code/branches/cpp11_v2/src/modules/questsystem/GlobalQuest.h	(revision 10817)
@@ -93,17 +93,17 @@
             virtual ~GlobalQuest();
 
-            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode); //!< Method for creating a GlobalQuest object through XML.
+            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override; //!< Method for creating a GlobalQuest object through XML.
 
-            virtual bool fail(PlayerInfo* player); //!< Fails the Quest.
-            virtual bool complete(PlayerInfo* player); //!< Completes the Quest.
+            virtual bool fail(PlayerInfo* player) override; //!< Fails the Quest.
+            virtual bool complete(PlayerInfo* player) override; //!< Completes the Quest.
 
         protected:
-            virtual bool isStartable(const PlayerInfo* player) const; //!< Checks whether the Quest can be started.
-            virtual bool isFailable(const PlayerInfo* player) const; //!< Checks whether the Quest can be failed.
-            virtual bool isCompletable(const PlayerInfo* player) const; //!< Checks whether the Quest can be completed.
+            virtual bool isStartable(const PlayerInfo* player) const override; //!< Checks whether the Quest can be started.
+            virtual bool isFailable(const PlayerInfo* player) const override; //!< Checks whether the Quest can be failed.
+            virtual bool isCompletable(const PlayerInfo* player) const override; //!< Checks whether the Quest can be completed.
 
-            virtual QuestStatus::Value getStatus(const PlayerInfo* player) const; //!< Returns the status of the Quest for a specific player.
+            virtual QuestStatus::Value getStatus(const PlayerInfo* player) const override; //!< Returns the status of the Quest for a specific player.
 
-            virtual bool setStatus(PlayerInfo* player, const QuestStatus::Value & status); //!< Sets the status for a specific player.
+            virtual bool setStatus(PlayerInfo* player, const QuestStatus::Value & status) override; //!< Sets the status for a specific player.
 
         private:
Index: code/branches/cpp11_v2/src/modules/questsystem/LocalQuest.h
===================================================================
--- code/branches/cpp11_v2/src/modules/questsystem/LocalQuest.h	(revision 10765)
+++ code/branches/cpp11_v2/src/modules/questsystem/LocalQuest.h	(revision 10817)
@@ -87,16 +87,16 @@
             virtual ~LocalQuest();
 
-            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode); //!< Method for creating a LocalQuest object through XML.
+            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override; //!< Method for creating a LocalQuest object through XML.
 
-            virtual bool fail(PlayerInfo* player); //!< Fails the Quest.
-            virtual bool complete(PlayerInfo* player); //!< Completes the Quest.
+            virtual bool fail(PlayerInfo* player) override; //!< Fails the Quest.
+            virtual bool complete(PlayerInfo* player) override; //!< Completes the Quest.
 
         protected:
-            virtual bool isStartable(const PlayerInfo* player) const; //!< Checks whether the Quest can be started.
-            virtual bool isFailable(const PlayerInfo* player) const; //!< Checks whether the Quest can be failed.
-            virtual bool isCompletable(const PlayerInfo* player) const; //!< Checks whether the Quest can be completed.
+            virtual bool isStartable(const PlayerInfo* player) const override; //!< Checks whether the Quest can be started.
+            virtual bool isFailable(const PlayerInfo* player) const override; //!< Checks whether the Quest can be failed.
+            virtual bool isCompletable(const PlayerInfo* player) const override; //!< Checks whether the Quest can be completed.
 
-            virtual QuestStatus::Value getStatus(const PlayerInfo* player) const; //!< Returns the status of the Quest for a specific player.
-            virtual bool setStatus(PlayerInfo* player, const QuestStatus::Value & status); //!< Sets the status for a specific player.
+            virtual QuestStatus::Value getStatus(const PlayerInfo* player) const override; //!< Returns the status of the Quest for a specific player.
+            virtual bool setStatus(PlayerInfo* player, const QuestStatus::Value & status) override; //!< Sets the status for a specific player.
 
         private:
Index: code/branches/cpp11_v2/src/modules/questsystem/Quest.h
===================================================================
--- code/branches/cpp11_v2/src/modules/questsystem/Quest.h	(revision 10765)
+++ code/branches/cpp11_v2/src/modules/questsystem/Quest.h	(revision 10817)
@@ -85,5 +85,5 @@
             virtual ~Quest();
 
-            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode); //!< Method for creating a Quest object through XML.
+            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override; //!< Method for creating a Quest object through XML.
 
             /**
Index: code/branches/cpp11_v2/src/modules/questsystem/QuestDescription.h
===================================================================
--- code/branches/cpp11_v2/src/modules/questsystem/QuestDescription.h	(revision 10765)
+++ code/branches/cpp11_v2/src/modules/questsystem/QuestDescription.h	(revision 10817)
@@ -67,5 +67,5 @@
             virtual ~QuestDescription();
 
-            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode); //!< Method for creating a QuestDescription object through XML.
+            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override; //!< Method for creating a QuestDescription object through XML.
 
 // tolua_begin
Index: code/branches/cpp11_v2/src/modules/questsystem/QuestEffectBeacon.h
===================================================================
--- code/branches/cpp11_v2/src/modules/questsystem/QuestEffectBeacon.h	(revision 10765)
+++ code/branches/cpp11_v2/src/modules/questsystem/QuestEffectBeacon.h	(revision 10817)
@@ -96,6 +96,6 @@
             virtual ~QuestEffectBeacon();
 
-            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode); //!< Method for creating a QuestEffectBeacon object through XML.
-            virtual void XMLEventPort(Element& xmlelement, XMLPort::Mode mode);
+            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override; //!< Method for creating a QuestEffectBeacon object through XML.
+            virtual void XMLEventPort(Element& xmlelement, XMLPort::Mode mode) override;
 
             bool execute(bool bTriggered, BaseObject* trigger); //!< Executes the QuestEffects of the QuestEffectBeacon.
Index: code/branches/cpp11_v2/src/modules/questsystem/QuestHint.h
===================================================================
--- code/branches/cpp11_v2/src/modules/questsystem/QuestHint.h	(revision 10765)
+++ code/branches/cpp11_v2/src/modules/questsystem/QuestHint.h	(revision 10817)
@@ -85,5 +85,5 @@
             virtual ~QuestHint();
 
-            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode); //!< Method for creating a QuestHint object through XML.
+            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override; //!< Method for creating a QuestHint object through XML.
 
             bool isActive(const PlayerInfo* player) const; //!< Returns true if the QuestHint is active for the input player.
Index: code/branches/cpp11_v2/src/modules/questsystem/QuestItem.h
===================================================================
--- code/branches/cpp11_v2/src/modules/questsystem/QuestItem.h	(revision 10765)
+++ code/branches/cpp11_v2/src/modules/questsystem/QuestItem.h	(revision 10817)
@@ -63,5 +63,5 @@
             virtual ~QuestItem();
 
-            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode); //!< Method for creating a QuestItem object through XML.
+            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override; //!< Method for creating a QuestItem object through XML.
 
             /**
Index: code/branches/cpp11_v2/src/modules/questsystem/QuestListener.h
===================================================================
--- code/branches/cpp11_v2/src/modules/questsystem/QuestListener.h	(revision 10765)
+++ code/branches/cpp11_v2/src/modules/questsystem/QuestListener.h	(revision 10817)
@@ -90,5 +90,5 @@
             virtual ~QuestListener();
 
-            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode); //!< Method for creating a QuestListener object through XML.
+            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override; //!< Method for creating a QuestListener object through XML.
 
             static void advertiseStatusChange(std::list<QuestListener*> & listeners, const std::string & status); //!< Makes all QuestListener in the list aware that a certain status change has occured.
Index: code/branches/cpp11_v2/src/modules/questsystem/effects/AddQuest.h
===================================================================
--- code/branches/cpp11_v2/src/modules/questsystem/effects/AddQuest.h	(revision 10765)
+++ code/branches/cpp11_v2/src/modules/questsystem/effects/AddQuest.h	(revision 10817)
@@ -62,7 +62,7 @@
         virtual ~AddQuest();
 
-        virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode); //!< Method for creating a AddQuest object through XML.
+        virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override; //!< Method for creating a AddQuest object through XML.
 
-        virtual bool invoke(PlayerInfo* player); //!< Invokes the QuestEffect.
+        virtual bool invoke(PlayerInfo* player) override; //!< Invokes the QuestEffect.
 
     };
Index: code/branches/cpp11_v2/src/modules/questsystem/effects/AddQuestHint.h
===================================================================
--- code/branches/cpp11_v2/src/modules/questsystem/effects/AddQuestHint.h	(revision 10765)
+++ code/branches/cpp11_v2/src/modules/questsystem/effects/AddQuestHint.h	(revision 10817)
@@ -64,7 +64,7 @@
             virtual ~AddQuestHint();
 
-            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode); //!< Method for creating a AddQuestHint object through XML.
+            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override; //!< Method for creating a AddQuestHint object through XML.
 
-            virtual bool invoke(PlayerInfo* player); //!< Invokes the QuestEffect.
+            virtual bool invoke(PlayerInfo* player) override; //!< Invokes the QuestEffect.
 
         private:
Index: code/branches/cpp11_v2/src/modules/questsystem/effects/AddReward.h
===================================================================
--- code/branches/cpp11_v2/src/modules/questsystem/effects/AddReward.h	(revision 10765)
+++ code/branches/cpp11_v2/src/modules/questsystem/effects/AddReward.h	(revision 10817)
@@ -68,7 +68,7 @@
             virtual ~AddReward();
 
-            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode); //!< Method for creating a AddReward object through XML.
+            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override; //!< Method for creating a AddReward object through XML.
 
-            virtual bool invoke(PlayerInfo* player); //!< Invokes the QuestEffect.
+            virtual bool invoke(PlayerInfo* player) override; //!< Invokes the QuestEffect.
 
         private:
Index: code/branches/cpp11_v2/src/modules/questsystem/effects/ChangeQuestStatus.h
===================================================================
--- code/branches/cpp11_v2/src/modules/questsystem/effects/ChangeQuestStatus.h	(revision 10765)
+++ code/branches/cpp11_v2/src/modules/questsystem/effects/ChangeQuestStatus.h	(revision 10817)
@@ -59,5 +59,5 @@
             virtual ~ChangeQuestStatus();
 
-            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode); //!< Method for creating a ChangeQuestStatus object through XML.
+            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override; //!< Method for creating a ChangeQuestStatus object through XML.
 
             virtual bool invoke(PlayerInfo* player) = 0; //!< Invokes the QuestEffect.
Index: code/branches/cpp11_v2/src/modules/questsystem/effects/CompleteQuest.h
===================================================================
--- code/branches/cpp11_v2/src/modules/questsystem/effects/CompleteQuest.h	(revision 10765)
+++ code/branches/cpp11_v2/src/modules/questsystem/effects/CompleteQuest.h	(revision 10817)
@@ -62,7 +62,7 @@
             virtual ~CompleteQuest();
 
-            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode); //!< Method for creating a CompleteQuest object through XML.
+            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override; //!< Method for creating a CompleteQuest object through XML.
 
-            virtual bool invoke(PlayerInfo* player); //!< Invokes the QuestEffect.
+            virtual bool invoke(PlayerInfo* player) override; //!< Invokes the QuestEffect.
 
     };
Index: code/branches/cpp11_v2/src/modules/questsystem/effects/FailQuest.h
===================================================================
--- code/branches/cpp11_v2/src/modules/questsystem/effects/FailQuest.h	(revision 10765)
+++ code/branches/cpp11_v2/src/modules/questsystem/effects/FailQuest.h	(revision 10817)
@@ -62,7 +62,7 @@
             virtual ~FailQuest();
 
-            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode); //!< Method for creating a FailQuest object through XML.
+            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override; //!< Method for creating a FailQuest object through XML.
 
-            virtual bool invoke(PlayerInfo* player); //!< Invokes the QuestEffect.
+            virtual bool invoke(PlayerInfo* player) override; //!< Invokes the QuestEffect.
 
     };
